Bug 870586

Summary: DeviceCreateError: ("Can't have overlapping partitions.", 'sda2')
Product: [Fedora] Fedora Reporter: Clyde E. Kunkel <clydekunkel7734>
Component: anacondaAssignee: David Lehman <dlehman>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: anaconda-maint-list, awilliam, ayersmj, caf, daniel, dlehman, drBabus, g.kaviyarasu, gleibovi, jonathan, kparal, luya, markku.kolkka, mikhail.v.gavrilov, nonamedotc, robatino, stephent98, vanmeeuwen+fedora, xjtu_chdongsh
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:8f69e4a6e3619b3e147ba6ce4f6188689c311d37a9341f74748fdeb915dd7074
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-10 19:19:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 752661    
Attachments:
Description Flags
File: anaconda-tb
none
File: product
none
File: type
none
File: storage.log
none
File: version
none
File: environ
none
File: anaconda.log
none
File: syslog
none
File: hashmarkername
none
File: packaging.log
none
File: cmdline_file
none
File: release
none
File: program.log
none
[18.29 log anaconda-tb-lVJSe8] DeviceCreateError: ("Can't have overlapping partitions.", 'sda2')
none
[18.29 log anaconda-tb-fytntV] DeviceCreateError log corresponding to reproducer
none
anaconda-tb
none
18.36 anaconda-tb none

Description Clyde E. Kunkel 2012-10-26 22:47:43 EDT
Description of problem:
Started installation and error occurred during root password spoke.

Version-Release number of selected component:
anaconda-18.21

Additional info:
libreport version: 2.0.16
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.2-2.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.21 exception report
:Traceback (most recent call first):
:  File "/tmp/updates/pyanaconda/storage/devices.py", line 784, in create
:    raise DeviceCreateError(str(e), self.name)
:  File "/tmp/updates/pyanaconda/storage/deviceaction.py", line 241, in execute
:    self.device.create()
:  File "/tmp/updates/pyanaconda/storage/devicetree.py", line 323, in processActions
:    action.execute()
:  File "/tmp/updates/pyanaconda/storage/__init__.py", line 357, in doIt
:    self.devicetree.processActions()
:  File "/tmp/updates/pyanaconda/storage/__init__.py", line 195, in turnOnFilesystems
:    storage.doIt()
:  File "/tmp/updates/pyanaconda/install.py", line 107, in doInstall
:    turnOnFilesystems(storage)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/tmp/updates/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:DeviceCreateError: ("mount failed: (32, 'mount: wrong fs type, bad option, bad superblock on /dev/sda1,\\n       missing codepage or helper program, or other error\\n       In some cases useful info is found in syslog - try\\n       dmesg | tail or so')", 'boot')
Comment 1 Clyde E. Kunkel 2012-10-26 22:47:49 EDT
Created attachment 634101 [details]
File: anaconda-tb
Comment 2 Clyde E. Kunkel 2012-10-26 22:47:51 EDT
Created attachment 634102 [details]
File: product
Comment 3 Clyde E. Kunkel 2012-10-26 22:47:53 EDT
Created attachment 634103 [details]
File: type
Comment 4 Clyde E. Kunkel 2012-10-26 22:47:56 EDT
Created attachment 634104 [details]
File: storage.log
Comment 5 Clyde E. Kunkel 2012-10-26 22:47:58 EDT
Created attachment 634105 [details]
File: version
Comment 6 Clyde E. Kunkel 2012-10-26 22:48:00 EDT
Created attachment 634106 [details]
File: environ
Comment 7 Clyde E. Kunkel 2012-10-26 22:48:01 EDT
Created attachment 634107 [details]
File: anaconda.log
Comment 8 Clyde E. Kunkel 2012-10-26 22:48:03 EDT
Created attachment 634108 [details]
File: syslog
Comment 9 Clyde E. Kunkel 2012-10-26 22:48:05 EDT
Created attachment 634109 [details]
File: hashmarkername
Comment 10 Clyde E. Kunkel 2012-10-26 22:48:06 EDT
Created attachment 634110 [details]
File: packaging.log
Comment 11 Clyde E. Kunkel 2012-10-26 22:48:08 EDT
Created attachment 634111 [details]
File: cmdline_file
Comment 12 Clyde E. Kunkel 2012-10-26 22:48:10 EDT
Created attachment 634112 [details]
File: release
Comment 13 Clyde E. Kunkel 2012-10-26 22:48:11 EDT
Created attachment 634113 [details]
File: program.log
Comment 14 Chris Lumens 2012-10-29 10:28:29 EDT
What choices did you make relating to partitioning?
Comment 15 Clyde E. Kunkel 2012-10-29 12:29:46 EDT
/, /home and /boot on btrfs, swap on standard partition.  4 virtual disks in F17 VM. One ext4 partition attached to VM, but not used in partitioning.  I use it to copy log files to if the bz attempt says duplicate bz (logs apparently not sent on dup bzs).
Comment 16 Steve Tyler 2012-11-17 17:03:35 EST
Create 1 MB '/'.

Package: anaconda-18.29-1.fc18.x86_64
OS Release: Fedora release 18
Comment 17 Steve Tyler 2012-11-17 17:13:13 EST
Created attachment 647007 [details]
[18.29 log anaconda-tb-lVJSe8] DeviceCreateError: ("Can't have overlapping partitions.", 'sda2')

[This traceback was duped to this bug ...]

anaconda 18.29 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 787, in create
    raise DeviceCreateError(str(e), self.name)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 241, in execute
    self.device.create()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
    action.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 336, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 113, in doInstall
    turnOnFilesystems(storage)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
DeviceCreateError: ("Can't have overlapping partitions.", 'sda2')

Local variables in innermost frame:
self: non-existent 11787MB partition sda2 (22) with non-existent lvmpv
e: Can't have overlapping partitions.
Comment 18 Steve Tyler 2012-11-17 22:47:40 EST
Attempting to reproduce Bug 870586.

Package: anaconda-18.29-1.fc18.x86_64
OS Release: Fedora release 18
Comment 19 Steve Tyler 2012-11-17 22:57:30 EST
Created attachment 647039 [details]
[18.29 log anaconda-tb-fytntV] DeviceCreateError log corresponding to reproducer

Here is a detailed reproducer:

Create a 12 GB empty disc image:
$ qemu-img create f18-test-1.img 12G

Boot the Live CD:
$ qemu-kvm -m 2048 -hda f18-test-1.img -cdrom ~/xfr/fedora/F18/F18-Beta/TC9/Fedora-18-Beta-TC9-x86_64-Live-Desktop.iso -usb -vga qxl -boot menu=on -usbdevice mouse

Click Installation Destination.
Click Done.
Click Begin Installation.
Set root password.
After install completes, click Reboot.

Click Installation Destination.
Click Continue.
Check "I don't need help ..."
Click Reclaim space.
Click '+' to expand list of partitions.
Delete Root.
Delete Swap.
(Do not delete Boot.)

Click '+'.
Enter '/' for Mount Point.
Enter '1' for Desired Capacity.
Click Add mount point.

Click '+'.
Enter 'swap' for Mount Point.
Do not enter a Desired Capacity.
Click Add mount point.

Click Finish Partitioning.
Click Begin Installation.

Exception occurs while "Preparing to install":
DeviceCreateError: ("Can't have overlapping partitions.", 'sda2')
Comment 20 Luya Tshimbalanga 2012-11-22 04:54:23 EST
Traceback occurred with custom partition and closest mirror installation source.

Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta
Comment 21 Kamil Páral 2012-11-22 10:07:03 EST
This happened in the "Preparing to install" phase. I used manual partitioning, I don't remember exact sequence of steps, but roughly:

1. I had an existing F17 or F18 installation on that disk, I think standard partitions only.
2. I re-used the existing swap partition in the new layout (by checking "reformat" and "apply").
3. I re-used the existing root partition in the new layout, but I downsized it and mounted it as /home.
4. I created a new / using all the remaining space.
5. Partitioning screen closed OK, but the installation blowed up shortly after Begin Installation.


Package: anaconda-18.29.2
Architecture: i686
OS Release: Fedora release 18-Beta
Comment 22 Kamil Páral 2012-11-22 10:10:13 EST
Created attachment 649869 [details]
anaconda-tb
Comment 23 Markku Kolkka 2012-11-28 09:26:12 EST
Tried to install F18Beta x86_64 on VirtualBox, but install fails with "Unknown Error"
when proceeding from the main installer screen. I used custom partitioning with 500MB /boot,
2GB swap and the remaining space as root filesystem.


Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta
Comment 24 Michael J. Ayers 2012-11-28 12:09:22 EST
Performing install from F18 Live CD on a system with two other operating systems on it in EFI mode.
I custom configured the hard drive partitions to use the already existing EFI partition and to slightly enlarge the /boot partition.  After clicking begin installation the installation bombs with this error.


Package: anaconda-18.29.2-1.fc18.x86_64
OS Release: Fedora release 18
Comment 25 David Lehman 2012-11-28 16:20:21 EST
I have a patch for the "Can't have overlapping partitions" error.

Clyde, have you seen the original error with a more recent anaconda?
Comment 26 Clyde E. Kunkel 2012-11-28 17:46:01 EST
No.
Comment 27 drBabus 2012-11-29 14:34:21 EST
Happen when the partitioning started.

Package: anaconda-18.29.2-1.fc18.x86_64
OS Release: Fedora release 18
Comment 28 Adam Williamson 2012-11-29 23:53:14 EST
Just installling with encryption to a completely blanked out disk (had mklabel msdos run on it).

Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta
Comment 29 Adam Williamson 2012-11-29 23:56:54 EST
So let me see if I can recall exactly what I did here:

All in a VM with a 15GB and a 10GB disk, all LVM.

I did an F18 Beta software RAID-1 install (custom part, wipe all partitions, auto-create partitions, then change / to be softRAID1), then an autopart two-disk install over the top of that, to try and reproduce 876789. It didn't - the autopart two-disk install worked. When it completed, without rebooting, I switch to ctrl-alt-f2 and did parted /dev/vda; mklabel; parted /dev/vdb; mklabel . Then I removed the second disk (so I'm down to just one 15GB disk), and did an autopart encrypted F18 Beta install. It hit this bug at the start of partitioning.
Comment 30 Adam Williamson 2012-11-29 23:58:37 EST
oh, my error looks rather different, so I'll manually file it separately.
Comment 31 Steve Tyler 2012-11-30 00:35:53 EST
(In reply to comment #29)
> So let me see if I can recall exactly what I did here:
...

Tip: I open a gedit window next to the VM window and record my steps as I go. When I'm done, I copyedit the report and then paste it into a bug comment. Something similar can be done for bare metal installs but with gedit on a second computer.
Comment 32 Daniel 2012-11-30 08:30:16 EST
Anaconda does not accept a custom partition setting. It cannot handle encrypted partitions (root and swap). It does not apply a different keyboard layout. There's no custom software selection. The new anaconda looks pretty bugy and crappy (SCNR).

Package: anaconda-18.29.2
Architecture: i686
OS Release: Fedora release 18-Beta
Comment 33 David Lehman 2012-11-30 10:04:04 EST
(In reply to comment #32)
> Anaconda does not accept a custom partition setting. It cannot handle
> encrypted partitions (root and swap). It does not apply a different keyboard
> layout. There's no custom software selection. The new anaconda looks pretty
> bugy and crappy (SCNR).

Your bug reporting is also pretty crappy. Each complaint/issue should be in a separate bug report and each bug report should include the full set of logs so that we can identify the actual problems in spite of your complete lack of pertinent information.
Comment 34 Daniel 2012-11-30 10:40:10 EST
Okay, never mind my crappy command! :-)
The bug report was automatically produced from anaconda during install. I dropped some lines without being able to attach a "full set of logs".

The hardware was a notebook ThinkPad X300 with one hard drive and partitions for fully functioning installations of F17, backtrack and winXP.

1. 
During install, selecting German, Hebrew or Russian keyboard will not have any effect.

2. 
When selecting a custom disk layout and creating partitions, anaconda freezes or will produce a bug reporting window with a bunch of error messages.
I was not able to reformat and thus reuse my f17 partitions or creating a new custom layout.
During install, root and swap partitions were selected to be encrypted.

3. 
I finally managed to install f18 beta. I had to erase my f17 partitions with parted/fdisk manually and then let anaconda choose encryption and automatic creation of the disk partition layout.

4. 
This automatic installation chooses 3.2GB of swap though I have 4GB. Maybe this is obsolete, but with this setting one cannot dump RAM completely anymore into swap.

5. 
I found no option to select a specific software to be installed, only raw groups.

6. Graphic mode of anaconda seems very slow.
Comment 35 Fedora Update System 2012-12-01 19:27:12 EST
pykickstart-1.99.22-1.fc18, anaconda-18.34-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.34-1.fc18
Comment 36 Fedora Update System 2012-12-02 14:26:42 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.34-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.34-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.34-1.fc18
then log in and leave karma (feedback).
Comment 37 Steve Tyler 2012-12-05 00:55:52 EST
Use non-ascii character in names: ñ.

Package: anaconda-18.35-1.fc18.x86_64
OS Release: Fedora release 18
Comment 38 David Lehman 2012-12-05 13:28:24 EST
(In reply to comment #37)
> Use non-ascii character in names: ñ.
> 
> Package: anaconda-18.35-1.fc18.x86_64
> OS Release: Fedora release 18

File a new bug, please, including logs.
Comment 39 Steve Tyler 2012-12-05 13:46:42 EST
(In reply to comment #38)
> (In reply to comment #37)
> > Use non-ascii character in names: ñ.
> > 
> > Package: anaconda-18.35-1.fc18.x86_64
> > OS Release: Fedora release 18
> 
> File a new bug, please, including logs.

Sorry, I forgot to link to it:
Bug 883689 - [vgcreate] New volume group name "ñ" is invalid
Comment 40 Fedora Update System 2012-12-05 18:11:42 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.35-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.35-1.fc18
then log in and leave karma (feedback).
Comment 41 Fedora Update System 2012-12-06 02:27:20 EST
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Kamil Páral 2012-12-06 06:39:35 EST
Created attachment 658701 [details]
18.36 anaconda-tb

Not fixed. I followed exactly the reproducer from comment 21. A few clarifications:
* I deleted the /boot partition from the old system.
* When creating the new / partition, it was originally as LVM, so I switched it to a standard partition.

The rest of the description matches - I re-used old swap, downsized old / and mounted it as /home, then created new /.
Comment 43 Kamil Páral 2012-12-06 06:40:51 EST
A lot of people seem to hit this and I have a reliable reproducer that is not crazy in any way. Proposing as blocker.
Comment 44 David Lehman 2012-12-06 10:48:13 EST
(In reply to comment #42)
> Not fixed. I followed exactly the reproducer from comment 21.

Apparently there's another similar issue triggered by the resize. The reproducer I used (and fixed) was the one from comment 19. I'm looking at yours now.
Comment 45 David Lehman 2012-12-06 11:55:19 EST
(In reply to comment #42)
> Created attachment 658701 [details]
> 18.36 anaconda-tb
> 
> Not fixed. I followed exactly the reproducer from comment 21. A few
> clarifications:
> * I deleted the /boot partition from the old system.
> * When creating the new / partition, it was originally as LVM, so I switched
> it to a standard partition.
> 
> The rest of the description matches - I re-used old swap, downsized old /
> and mounted it as /home, then created new /.

Please open a separate bug as yours is actually a totally different underlying bug. I have a tested patch here for it, but it will need a bug report of its own. Thanks.
Comment 46 Kamil Páral 2012-12-07 04:26:44 EST
David, reported as bug 885004.

The reproducer from comment 19 is indeed fixed, setting as VERIFIED. Unfortunately anaconda is still missing a check for large enough available space before proceeding with installation.
Comment 47 Gal Leibovici 2012-12-07 05:05:59 EST
I tried to use custom partitioning, removing the old linux installation partition and creating new ones,

Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta
Comment 48 Adam Williamson 2012-12-10 19:19:50 EST
Given that we separated out the case present in 18.35, let's close this again.